pd for Debian
----------------------

Running the GUI as standalone
=============================

As of 0.43, it is now possible to run the GUI without the 'pd' process at all.
This allows you to run only the GUI on one machine and have it talk over the
network to the 'pd' process running on a different machine.


Soundcards and Drivers
=======================

Pd uses your soundcard in a way to reduce the latency introduced by
audio buffering. This may in some circumstances introduce distortions.

There are different methods to solve this problem.

1) starting pd with certain flags:

 -audiobuf <n>

 sets the number of fragments used in the OSS driver, and additionally
 triggers the "good old and stable" device interface.

 -noadc

 start pd in output only mode.


2) Using ALSA with OSS emulation


JACK autostart
==============

The Debian binary of puredata has the automatically starting of the JACK audio
server disabled (so Pd does not hang when you try to quit it).
If you want to use Pd together with JACK, make sure that jackd is running before
starting Pd.


Configuration
==============

There are more and more options for embedding the configuration directly into
the patch.  This means that most of the time, it is best to start Pd with the
default configuration and then let each patch configure Pd as it needs it.
This allows patches to easily run across different installs, machines, and
distros.

You can find more information on configuration in the puredata FAQ:
https://puredata.info/docs/faq/pdsettings

Old, Failsafe Configuration
===========================

Though officially deemed deprecated, it is still possible to use the ~/.pdrc
to include command like flags at startup. Instead of passing your command line
flags to pd, you can write them into your ~/.pdrc file. Each commandline
switch on its own line like

 -path /usr/lib/pd/doc
 -frags 4
 -noadc
 -lib Gem



 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 28 Apr 2015 10:10:51 +0200
